Subject: bug#49913: python-networkx test failing

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Sun, 8 Aug 2021 18:20:04 +0200

On Sun, 8 Aug 2021 13:54:10 +0300
Efraim Flashner <[email-masked]> wrote:

> On Sat, Aug 07, 2021 at 07:03:11PM +0200, Maxime Devos wrote:
> > Hi,
> > 
> > > > networkx/algorithms/shortest_paths/tests/test_weighted.py:29:
> > > > AssertionError =========== 1 failed, 3517 passed, 182 skipped
> > > > in 246.61s (0:04:06) ============ command "pytest" "-vv"
> > > > "--pyargs" "networkx" failed with status 1
> > > 
> > > I've the following setup:
> > > 
> > > Host distribution: Parabola i686 with an x86_64 kernel
> > > (linux-libre-64) Guix: Guix i686
> > 
> > I can reproduce on i686 (--system=i686-linux) but not x86_64.
> > The test failure appears to be determenistic but
> > architecture-dependent.
> > 
> 
> Can you `guix pull` and test it again? I just updated it to 2.6.2 and
> building with --system=i686-linux didn't show me any test errors.
I tried to build fdroidserver again after doing 'guix pull' and this
time it worked fine.

Thanks a lot.

Denis.